Bug 128273 - typing characters while loading (e. g. via fish)
Summary: typing characters while loading (e. g. via fish)
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: kwrite (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-29 21:35 UTC by Jens Lang
Modified: 2012-11-05 19:59 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Lang 2006-05-29 21:35:51 UTC
Version:           4.5.2 (using KDE 3.5.2, Debian Package 4:3.5.2-2+b1 (testing/unstable))
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.15-1-k7

How to Reproduce:
* load a file via fish (takes a long time)
* type any character while loading
* click on edit->undo
* first character of file is deleted

Expected Behaviour:
* state doesn't change to "changed" ("geändert" in my editor)
* no typing possible while loading
* no undo possible
Comment 1 Thomas Friedrichsmeier 2008-01-06 23:35:55 UTC
Related bug: #119413
Comment 2 Christoph Cullmann 2012-11-05 17:46:04 UTC
Git commit bf3a8ff006445963d2b11aead0995f5c29be7b96 by Christoph Cullmann.
Committed on 05/11/2012 at 18:45.
Pushed by cullmann into branch 'master'.

during load of remote files, allow now editing!
we already have a inline message showing up after 1 sec that loading will take some time ;)
solves problem of allowed typing during loading of files via e.g. fish://

M  +40   -16   part/document/katedocument.cpp
M  +7    -4    part/document/katedocument.h

http://commits.kde.org/kate/bf3a8ff006445963d2b11aead0995f5c29be7b96
Comment 3 Christoph Cullmann 2012-11-05 19:59:03 UTC
Git commit bebfb4f1e3a757cef6f77066e1a1cde51dfed4a4 by Christoph Cullmann.
Committed on 05/11/2012 at 20:58.
Pushed by cullmann into branch 'master'.

fix regression: read only on save, cleanup the state machine in KateDocument
use now one enum, and not xxx stupid unrelated bools

M  +106  -46   part/document/katedocument.cpp
M  +28   -5    part/document/katedocument.h

http://commits.kde.org/kate/bebfb4f1e3a757cef6f77066e1a1cde51dfed4a4